Estimate Fulfillment Cost For Order

View as Markdown
This endpoint will provide, where possible, an estimate of pricing and fulfillment center assignment of a potential standard (direct to consumer) order. Keep in mind that there are ways for the merchant to change FC assignment or product configuration after order creation that could invalidate this estimate. Estimates cannot be returned for items that are unknown, out of stock, or too large for fulfillment using standard box sizes. Additional services such as high-pick fees, shipping insurance, auto-splitting or auto-adding items to orders, and signature required are not included in this estimate.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Headers

shipbob_channel_idstringRequiredformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Request

This endpoint expects an object.
addressobjectRequired
productslist of objectsRequired

Products to be included in the order. Each product must include one of reference_id or id

shipping_methodslist of strings or nullOptional
Array of strings specifying shipping methods for which to fetch estimates. If this field is omitted we will return estimates for all shipping methods defined in ShipBob

Response

Success
estimateslist of objects or null
Array of estimates for each shipping method

Errors